# Déploiement d'un cluster Kubernetes on Premise

Ce dépot contient un ensemble de scripts Ansible afin de permettre à une organisation d'héberger le cluster d'exécution des challenges Deadlock sur ses propres machines.

## Prérequis

- Un serveur pour le master Kubernetes :

  - 2 CPUs
  - 2 Go de RAM minimum
  - Debian ou CentOS8
  - un utilisateur `root` sur lequel se connecter en SSH

- Un serveur pour le noeud Kubernetes :
  - 2 CPU
  - 2 Go de RAM minimum
  - Debian ou CentOS8
  - un utilisateur `root` sur lequel se connecter en SSH

## Étapes à suivre

- Lancer le script deploy_cluster.sh: `./deploy_cluster.sh`

- Renseigner les différentes informations demandées par le script.

- Reporter les informations affichées en fin d'exécution du script dans les champs du formulaire de la page _manager_ de Deadlock, dans la rubrique "On Premise"/"Auto-hébergé".

---

# On Premise Kubernetes cluster deployment

This repository contains many Ansible scripts made to offer the possibility for an organization to host its own Deadlock challenges execution cluster.

## Prerequisites

- A server for Kubernetes master node :

  - 2 CPUs
  - 2 Go RAM minimum
  - Debian or CentOS 8
  - a `root` user accessible via SSH

- A server for Kubernetes child node :
  - 1 CPU
  - 2 Go RAM minimum
  - Debian or CentOS 8
  - a `root` user accessible via SSH

## Étapes à suivre

- Run deploy_cluster.sh: `./deploy_cluster.sh`

- Fill in the informations required by the script.

- Copy the informations diisplayed at the end of the script execution in the form on the _manager_ page of Deadlock.
